| Home | Libraries | People | FAQ | More

##### http::parser::is_done

(Inherited from `http::basic_parser`)

Returns `true` if the message is complete.

###### Synopsis

    bool
    is_done() const;

###### Description

The message is complete after the full header is prduced and one of the following is true:

- The skip body option was set.
- The semantics of the message indicate there is no body.
- The semantics of the message indicate a body is expected, and the entire body was parsed.